Open CASCADE Technology: GeomInt_TheComputeLineBezierOfWLApprox Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomInt_TheComputeLineBezierOfWLApprox Class Reference

`#include <GeomInt_TheComputeLineBezierOfWLApprox.hxx>`

## Public Member Functions
| GeomInt_TheComputeLineBezierOfWLApprox (const GeomInt_TheMultiLineOfWLApprox &Line, const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-3, const Standard_Real Tolerance2d=1.0e-6, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Approx_ParametrizationType parametrization=Approx_ChordLength, const Standard_Boolean Squares=Standard_False)
| GeomInt_TheComputeLineBezierOfWLApprox (const GeomInt_TheMultiLineOfWLApprox &Line, const math_Vector &Parameters, const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Standard_Boolean Squares=Standard_False)
| GeomInt_TheComputeLineBezierOfWLApprox (const math_Vector &Parameters, const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Standard_Boolean Squares=Standard_False)
| GeomInt_TheComputeLineBezierOfWLApprox (const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Approx_ParametrizationType parametrization=Approx_ChordLength, const Standard_Boolean Squares=Standard_False)
void | Init (const Standard_Integer degreemin=4, const Standard_Integer degreemax=8, const Standard_Real Tolerance3d=1.0e-03, const Standard_Real Tolerance2d=1.0e-06, const Standard_Integer NbIterations=5, const Standard_Boolean cutting=Standard_True, const Approx_ParametrizationType parametrization=Approx_ChordLength, const Standard_Boolean Squares=Standard_False)
void | Perform (const GeomInt_TheMultiLineOfWLApprox &Line)
void | SetDegrees (const Standard_Integer degreemin, const Standard_Integer degreemax)
void | SetTolerances (const Standard_Real Tolerance3d, const Standard_Real Tolerance2d)
void | SetConstraints (const AppParCurves_Constraint firstC, const AppParCurves_Constraint lastC)
Standard_Boolean | IsAllApproximated () const
Standard_Boolean | IsToleranceReached () const
void | Error (const Standard_Integer Index, Standard_Real &tol3d, Standard_Real &tol2d) const
Standard_Integer | NbMultiCurves () const
const AppParCurves_MultiCurve & | Value (const Standard_Integer Index=1) const
AppParCurves_MultiCurve & | ChangeValue (const Standard_Integer Index=1)
const AppParCurves_MultiBSpCurve & | SplineValue ()
void | Parametrization (Approx_ParametrizationType &partype) const
const TColStd_Array1OfReal & | Parameters (const Standard_Integer Index=1) const

## Constructor & Destructor Documentation

GeomInt_TheComputeLineBezierOfWLApprox::GeomInt_TheComputeLineBezierOfWLApprox | ( | const GeomInt_TheMultiLineOfWLApprox & | Line,
|  | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-3`,
|  | const Standard_Real | Tolerance2d = `1.0e-6`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Approx_ParametrizationType | parametrization = `Approx_ChordLength`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

GeomInt_TheComputeLineBezierOfWLApprox::GeomInt_TheComputeLineBezierOfWLApprox | ( | const GeomInt_TheMultiLineOfWLApprox & | Line,
|  | const math_Vector & | Parameters,
|  | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

GeomInt_TheComputeLineBezierOfWLApprox::GeomInt_TheComputeLineBezierOfWLApprox | ( | const math_Vector & | Parameters,
|  | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

GeomInt_TheComputeLineBezierOfWLApprox::GeomInt_TheComputeLineBezierOfWLApprox | ( | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Approx_ParametrizationType | parametrization = `Approx_ChordLength`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

## Member Function Documentation

AppParCurves_MultiCurve& GeomInt_TheComputeLineBezierOfWLApprox::ChangeValue | ( | const Standard_Integer | Index = `1` | ) |

void GeomInt_TheComputeLineBezierOfWLApprox::Error | ( | const Standard_Integer | Index,
|  | Standard_Real & | tol3d,
|  | Standard_Real & | tol2d
| ) |  | const

void GeomInt_TheComputeLineBezierOfWLApprox::Init | ( | const Standard_Integer | degreemin = `4`,
|  | const Standard_Integer | degreemax = `8`,
|  | const Standard_Real | Tolerance3d = `1.0e-03`,
|  | const Standard_Real | Tolerance2d = `1.0e-06`,
|  | const Standard_Integer | NbIterations = `5`,
|  | const Standard_Boolean | cutting = `Standard_True`,
|  | const Approx_ParametrizationType | parametrization = `Approx_ChordLength`,
|  | const Standard_Boolean | Squares = `Standard_False`
| ) |  |

Standard_Boolean GeomInt_TheComputeLineBezierOfWLApprox::IsAllApproximated | ( |  | ) | const

Standard_Boolean GeomInt_TheComputeLineBezierOfWLApprox::IsToleranceReached | ( |  | ) | const

Standard_Integer GeomInt_TheComputeLineBezierOfWLApprox::NbMultiCurves | ( |  | ) | const

const TColStd_Array1OfReal& GeomInt_TheComputeLineBezierOfWLApprox::Parameters | ( | const Standard_Integer | Index = `1` | ) | const

void GeomInt_TheComputeLineBezierOfWLApprox::Parametrization | ( | Approx_ParametrizationType & | partype | ) | const

void GeomInt_TheComputeLineBezierOfWLApprox::Perform | ( | const GeomInt_TheMultiLineOfWLApprox & | Line | ) |

void GeomInt_TheComputeLineBezierOfWLApprox::SetConstraints | ( | const AppParCurves_Constraint | firstC,
|  | const AppParCurves_Constraint | lastC
| ) |  |

void GeomInt_TheComputeLineBezierOfWLApprox::SetDegrees | ( | const Standard_Integer | degreemin,
|  | const Standard_Integer | degreemax
| ) |  |

void GeomInt_TheComputeLineBezierOfWLApprox::SetTolerances | ( | const Standard_Real | Tolerance3d,
|  | const Standard_Real | Tolerance2d
| ) |  |

const AppParCurves_MultiBSpCurve& GeomInt_TheComputeLineBezierOfWLApprox::SplineValue | ( |  | ) |

const AppParCurves_MultiCurve& GeomInt_TheComputeLineBezierOfWLApprox::Value | ( | const Standard_Integer | Index = `1` | ) | const

The documentation for this class was generated from the following file:

- GeomInt_TheComputeLineBezierOfWLApprox.hxx